Skip to main content
GET
/
agents
List agents
curl --request GET \
  --url https://api.flipsidecrypto.xyz/public/v3/agents \
  --header 'x-api-key: <api-key>'
{
  "agents": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "kind": "chat",
      "status": "draft",
      "handlerType": "database",
      "systemPrompt": "<string>",
      "tools": [
        {
          "name": "<string>",
          "config": {}
        }
      ],
      "maxTurns": 25,
      "metadata": {},
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationSlug": "<string>",
      "createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updatedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "subAgents": [],
      "skills": [],
      "inputSchema": {},
      "outputSchema": {},
      "userAgent": "web",
      "lastUsedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

x-api-key
string
header
required

Query Parameters

limit
string

Maximum number of results (default: 200, max: 200)

offset
string

Number of results to skip (default: 0)

Search query (matches name, description)

sortBy
enum<string>

Sort field (default: updated)

Available options:
updated,
created,
name
sortDirection
enum<string>

Sort direction (default: desc)

Available options:
asc,
desc
ownership
enum<string>

Filter by ownership (default: all)

Available options:
all,
owned,
granted
createdById
string

Filter by creator user ID

Response

Paginated list of agent configs

agents
object[]
required
total
number
required
limit
number
required
offset
number
required